=begin
#------------------------------------------------------------------------------------------------------------
#************************************************************************************************************
# Copyright © 2020 - Designed as of July 2020 by Fredo6

# Permission to use this software for any purpose and without fee is hereby granted
# Distribution of this software for any purpose is subject to:
#  - the expressed, written consent of the author
#  - the inclusion of the present copyright notice in all copies.

# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#-----------------------------------------------------------------------------
# Name			:  Fredo6_Aplat.rb
# Original Date	:  09 Jul 20
# Description	:  Top ruby file for APLat plugin
#------------------------------------------------------------------------------------------------------------
#************************************************************************************************************
=end

require 'sketchup.rb' 
require 'extensions.rb' 

module F6_APlat

@name = "A Plat"
@version = "1.0f"
folder = "Fredo6_APlat"
@sdate = "17 Jul 20"
@creator = "Fredo6"

file__ = __FILE__
file__ = file__.dup.force_encoding("UTF-8") if defined?(Encoding)
file__ = file__.gsub(/\\/, '/')

@subdir = File.join(File.dirname(file__), folder)

#Getter of params
def F6_APlat.subdir ; @subdir ; end
def F6_APlat.get_name ; @name ; end
def F6_APlat.get_date ; @sdate ; end
def F6_APlat.get_version ; @version ; end

#Description of the extension 
if Sketchup.get_locale == "FR"
	@description = "Transforme des faces en composant avec copie à plat" 
else
	@description = "Componentize faces with a flat copy"
end	

#Creating the extension
start_file = File.join(@subdir, "APlat_main.rbe")
start_file = File.join(@subdir, "APlat_main.rb") unless File.exist?(start_file)
ext = SketchupExtension.new("Fredo6_APlat", start_file) 
ext.creator = @creator 
ext.version = @version + " - " + @sdate 
ext.copyright = "Fredo6 - © 2020" 
ext.description = @description
Sketchup.register_extension ext, true

#Registration for LibFredo6 Check for Update
def F6_APlat.register_plugin_for_LibFredo6 
	{	
		:name => @name,
		:author => @creator,
		:version => @version,
		:date => @sdate,	
		#:link_info => "http://sketchucation.com/forums/viewtopic.php?f=323&t=13563#p100509",
		:description => @description
	}
end

end #Module F6_APlat


